Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS01ODI0LTZqZnYteHIzcs4AArNk

Arbitrary file read in ginadmin

In ginadmin through 05-10-2022, the incoming path value is not filtered, resulting in arbitrary file reading. A patch is available on the master branch of the repository.

Permalink: https://github.com/advisories/GHSA-5824-6jfv-xr3r
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS01ODI0LTZqZnYteHIzcs4AArNk
Source: GitHub Advisory Database
Origin: Unspecified
Severity: High
Classification: General
Published: almost 2 years ago
Updated: about 1 year ago


CVSS Score: 7.5
CVSS vector: CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

Identifiers: GHSA-5824-6jfv-xr3r, CVE-2022-30428
References: Repository: https://github.com/gphper/ginadmin
Blast Radius: 1.0

Affected Packages

go:github.com/gphper/ginadmin
Dependent packages: 0
Dependent repositories: 0
Downloads:
Affected Version Ranges: <= 0.1.1
No known fixed version
All affected versions: 0.1.0